Get business types
curl --request GET \
--url https://sandbox.tight.com/v6/templates/businessTypes \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.tight.com/v6/templates/businessTypes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.tight.com/v6/templates/businessTypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "bzt_123456",
"name": "Electrician",
"status": "ACTIVE"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Business Types
Get business types
These are used to configure the various segments of your user base. Expense categories, chart of accounts, rules, and future learning algorithms smartly take your business types into account.
GET
/
v6
/
templates
/
businessTypes
Get business types
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.
⌘I